# React Radar Screen

## Installation

```
npm install react-radar-screen --save
```

## Basic Usage

```javascript
import React from "react";
import ReactDOM from "react-dom";
import Radar from "react-radar-screen";

var center = { lat: 46.481631, lng: 30.732226 };

var points = [
    { lat: 46.492778, lng: 30.747841 },
    { lat: 46.481226, lng: 30.738485 },
    { lat: 46.470236, lng: 30.730643 },
    { lat: 46.464879, lng: 30.706502 }
];

ReactDOM.render(
    <Radar pxRadius={100}
           geoRadius={2000}
           center={center}
           points={points}/>,
    document.getElementById("radar")
);
```

## Props

| Prop        | Type           | Description  |
| :---------- | :--------------| :------------ |
| pxRadius    | Number         | Screen size in pixels |
| geoRadius   | Number         | Scanned range radius |
| center      | Object         | Center point coordinates |
| points      | Array          | Points to be render on screen |
